Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class ForwardingCompareInputAdapter

java.lang.Object
com.google.common.collect.ForwardingObject
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInputAdapter

All Implemented Interfaces:
  `org.eclipse.compare.structuremergeviewer.ICompareInput`, `Adapter`, `Adapter.Internal`

public class ForwardingCompareInputAdapter extends ForwardingCompareInput implements Adapter.Internal

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput

`ForwardingCompareInput.ForwardingTypedElement`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Method Summary

Modifier and Type
Method
Description
`Notifier`
`getTarget()`
`boolean`
`isAdapterForType(Object type)`
`void`
`notifyChanged(Notification notification)`
`void`
`setTarget(Notifier newTarget)`
`void`
`unsetTarget(Notifier oldTarget)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput

`addCompareInputChangeListener, copy, createForwardingTypedElement, delegate, fireChange, getAncestor, getImage, getKind, getLeft, getName, getRight, removeCompareInputChangeListener`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### notifyChanged

public void notifyChanged(Notification notification)

Specified by:
  `notifyChanged` in interface `Adapter`
See Also:
  - `Adapter.notifyChanged(org.eclipse.emf.common.notify.Notification)`

### getTarget

public Notifier getTarget()

Specified by:
  `getTarget` in interface `Adapter`
See Also:
  - `Adapter.getTarget()`

### setTarget

public void setTarget(Notifier newTarget)

Specified by:
  `setTarget` in interface `Adapter`
See Also:
  - `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`

### isAdapterForType

public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
See Also:
  - `Adapter.isAdapterForType(java.lang.Object)`

### unsetTarget

public void unsetTarget(Notifier oldTarget)

Specified by:
  `unsetTarget` in interface `Adapter.Internal`
See Also:
  - `Adapter.Internal.unsetTarget(org.eclipse.emf.common.notify.Notifier)`